/*
Copyright (C) 2016 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR

This file is part of simcaq-node.

simcaq-node is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

simcaq-node is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with simcaq-node.  If not, see <https://www.gnu.org/licenses/>.
*/
module.exports = function cineDetailed(id) {
	switch (id) {
        case 111: 
        return 'Ciência da educação';                                            
        case 112: 
        return 'Formação de professores de educação infantil';
        case 113: 
        return 'Formação de professores sem áreas específicas';                  
        case 114: 
        return 'Formação de professores em áreas específicas (exceto Letras)';   
        case 115: 
        return 'Formação de professores de letras';                              
        case 188: 
        return 'Programas interdisciplinares abrangendo educação';               
        case 211: 
        return 'Produção audiovisual, de mídia e cultural';                      
        case 212: 
        return 'Moda, design de interiores e desenho industrial';                
        case 213: 
        return 'Belas artes';                                                    
        case 214: 
        return 'Artesanato';                                                     
        case 215: 
        return 'Música e artes cênicas';                                         
        case 221: 
        return 'Religião e teologia';                                            
        case 222: 
        return 'História e arqueologia';                                         
        case 223: 
        return 'Filosofia e ética';                                              
        case 231: 
        return 'Letras';                                                         
        case 288: 
        return 'Programas interdisciplinares abrangendo artes e humanidades';    
        case 311: 
        return 'Economia';                                                       
        case 312: 
        return 'Ciências sociais e políticas';                                   
        case 313: 
        return 'Psicologia';                                                     
        case 321: 
        return 'Jornalismo e reportagem';                                        
        case 322: 
        return 'Biblioteconomia, informação e estudos arquivísticos';            
        case 388: 
        return 'Programas interdisciplinares abrangendo ciências sociais, jornalismo e informação';                                               
        case 411: 
        return 'Contabilidade e tributação';                                     
        case 412: 
        return 'Finanças, bancos e seguros';                                     
        case 413: 
        return 'Gestão e administração';                                         
        case 414: 
        return 'Marketing e propaganda';                                         
        case 415: 
        return 'Secretariado e trabalhos de escritório';                         
        case 416: 
        return 'Gestão comercial';                                               
        case 421: 
        return 'Direito';                                                        
        case 488: 
        return 'Programas interdisciplinares abrangendo negócios, administração e direito';                                                       
        case 511: 
        return 'Biologia';                                                       
        case 512: 
        return 'Bioquímica e biotecnologia';                                     
        case 521: 
        return 'Ciências ambientais';                                            
        case 531: 
        return 'Química';                                                        
        case 532: 
        return 'Ciências da terra';                                              
        case 533: 
        return 'Física';                                                         
        case 541: 
        return 'Matemática';                                                     
        case 542: 
        return 'Estatística';                                                    
        case 588: 
        return 'Programas interdisciplinares abrangendo ciências naturais, matemática e estatística';                                             
        case 612: 
        return 'Infraestrutura e gestão de TIC';                                 
        case 613: 
        return 'Produção de software';                                           
        case 614: 
        return 'Ciência da computação';                                          
        case 615: 
        return 'Gestão e desenvolvimento de sistemas de informação';             
        case 616: 
        return 'Desenvolvimento de sistemas que integram software e hardware';   
        case 688: 
        return 'Programas interdisciplinares abrangendo computação e Tecnologias da Informação e Comunicação (TIC)';                              
        case 710: 
        return 'Engenharia e profissões correlatas sem definição precisa';       
        case 711: 
        return 'Engenharia química e de processos';                              
        case 712: 
        return 'Tecnologia de proteção ambiental';                               
        case 713: 
        return 'Eletricidade e energia';                                         
        case 714: 
        return 'Eletrônica e automação';                                         
        case 715: 
        return 'Engenharia mecânica e metalurgia';                               
        case 716: 
        return 'Veículos a motor, construção naval, aeronáutica, ferroviária e metroviária';                                                      
        case 721: 
        return 'Processamento de alimentos';                                     
        case 722: 
        return 'Materiais';                                                      
        case 723: 
        return 'Têxteis (vestuário, calçados e couro)';                          
        case 724: 
        return 'Mineração e extração';                                           
        case 725: 
        return 'Produção e processos de fabricação';                             
        case 731: 
        return 'Arquitetura e planejamento urbano';                              
        case 732: 
        return 'Engenharia civil e construção';                                  
        case 788: 
        return 'Programas interdisciplinares abrangendo engenharia, produção e construção';                                                       
        case 811: 
        return 'Produção agrícola, agropecuária e zootecnia';                    
        case 812: 
        return 'Horticultura';                                                   
        case 821: 
        return 'Silvicultura';                                                   
        case 831: 
        return 'Pesca';                                                          
        case 841: 
        return 'Veterinária';                                                    
        case 888: 
        return 'Programas interdisciplinares abrangendo agricultura, silvicultura, pesca e veterinária';                                          
        case 911: 
        return 'Odontologia';                                                    
        case 912: 
        return 'Medicina';                                                       
        case 913: 
        return 'Enfermagem';                                                     
        case 914: 
        return 'Tecnologia de diagnóstico e tratamento médico';                  
        case 915: 
        return 'Promoção, prevenção, terapia e reabilitação';                    
        case 916: 
        return 'Farmácia';                                                       
        case 917: 
        return 'Medicina e terapia tradicional e complementar';                  
        case 918: 
        return 'Saúde pública e saúde coletiva';                                 
        case 921: 
        return 'Assistência a idosos e a deficientes';                           
        case 923: 
        return 'Serviço social';                                                 
        case 988: 
        return 'Programas interdisciplinares abrangendo saúde e bem-estar';      
        case 1011: 
        return 'Serviços domésticos';                                            
        case 1012: 
        return 'Serviços de beleza';                                             
        case 1013: 
        return 'Serviços de alimentação';                                        
        case 1014: 
        return 'Esportes e lazer';                                               
        case 1015: 
        return 'Turismo e hotelaria';                                            
        case 1022: 
        return 'Saúde e segurança no trabalho';                                  
        case 1031: 
        return 'Setor militar e de defesa';                                      
        case 1032: 
        return 'Proteção de pessoas e de propriedades';                          
        case 1041: 
        return 'Serviços de transporte';
        default:
        return 'Não classificada';
	}
};